POST Agents/Contact/EnrichContactEntity
Some tooltip text!
• 10 minutes to read
• 10 minutes to read
POST /api/v1/Agents/Contact/EnrichContactEntity
Enrich a contact with data from the AI Enrichment service.
This will update the contact with address, phone number, and email. NsApiSlow threshold: 2000 ms.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields. |
POST /api/v1/Agents/Contact/EnrichContactEntity?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: request
ContactEntity, EnrichId
| Property Name | Type | Description |
|---|---|---|
| ContactEntity | ContactEntity | The Contact Service. The service implements all services working with the Contact object |
| EnrichId | String |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: ContactEntity
| Property Name | Type | Description |
|---|---|---|
| ContactId | int32 | Primary key |
| Name | string | Contact name |
| Department | string | Department |
| OrgNr | string | VAT number or similar |
| Number1 | string | Alphanumeric user field |
| Number2 | string | Alphanumeric user field |
| UpdatedDate | date-time | Date last updated in UTC. |
| CreatedDate | date-time | Date registered in UTC. |
| Emails | array | The contact's email |
| Interests | array | The contact's available and selected interests. Use MDO List name "contint" to get list items. |
| Urls | array | The contact's internet adresses |
| Phones | array | The contact's phone numbers |
| Faxes | array | The contact's fax numbers |
| Description | string | Description of the contact. Usually shown as a postit note. |
| UpdatedBy | Associate | The user that last updated the contact |
| CreatedBy | Associate | The user that created the contact |
| Associate | Associate | The user that owns this contact. Use MDO List name "associate" to get list items. |
| Business | Business | The business that the contact is associated with. The GUI forces the user to enter a business type. Use MDO List name "business" to get list items. |
| Category | Category | The category that is set on the company. The GUI forces the user to enter a category type Use MDO List name "category" to get list items. |
| Country | Country | The country this contact is located in. The country a contact is saved with, affects the phone number format, and the address layout. Use MDO List name "country" to get list items. |
| Persons | array | The persons belonging to the contact. |
| NoMailing | bool | Spam filter. Indicates if this contact should retrieve advertising. |
| Kananame | string | Contact kana name, used in Japanese versions only |
| Xstop | bool | STOP flag |
| ActiveInterests | int32 | The number of active interests. |
| GroupId | int32 | Group id of original owning associate, semantics like appnt.grp_id |
| ActiveStatusMonitorId | int32 | Active status monitor identity with the lowest rank for contact |
| SupportAssociate | Associate | Use MDO List name "associate" to get list items. |
| TicketPriority | TicketPriority | Use MDO List name "ticketpriority" to get list items. |
| CustomerLanguage | CustomerLanguage | customerlanguage |
| Deleted | int32 | If nonzero, then this contact is 'deleted' and should generally not be shown |
| DbiAgentId | int32 | Integration agent (eJournal) |
| DbiLastSyncronized | date-time | Last external syncronization. |
| DbiKey | string | The primary key for the integrated entry in the external datasource. |
| DbiLastModified | date-time | When the entry was last modified. |
| SupportPerson | Person | Carrier object for Person. Services for the Person Carrier is available from the Person Agent. |
| Address | Address | Street and/or Postal address, in both formatted and structured forms. You only need to modify one of the two for the change to be registered. Carrier object for Address. |
| Source | int32 | How did we get this contact? For future integration needs |
| ActiveErpLinks | int32 | The number of active erp links |
| BounceEmails | array | Email addresses with a positive bounce counter. |
| Domains | array | Web domains for this contact, ordered in array by rank |
| UtmParameters | SavedUtmParameters | Utm parameters when creating first person and contact, readonly field |
| UserDefinedFields | object | Deprecated: Use {SuperOffice.CRM.Services.ContactEntity.CustomFields} instead. Dictionary of user defined field data. The key string is the ProgId of the UdefField, or if the ProgId is empty it is a string of the format "SuperOffice:[UdefFieldIdentity]", e.g. "SuperOffice:1234" |
| ExtraFields | object | Deprecated: Use {SuperOffice.CRM.Services.ContactEntity.CustomFields} instead. Extra fields added to the carrier. This could be data from Plug-ins, the foreign key system, external applications, etc. |
| CustomFields | object | Udef + Extra fields added to the carrier. Extra fields as defined by changes to database schema + user-defined fields as defined by admin. Custom fields combines user defined fields and extra fields into one bucket. The individual {SuperOffice.CRM.Services.ContactEntity.ExtraFields} and UserDefinedFields properties are deprecated in favor of this combined collection. |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
POST /api/v1/Agents/Contact/EnrichContactEntity
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: en
Content-Type: application/json; charset=utf-8
{
"ContactEntity": null,
"EnrichId": "error"
}
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"ContactId": 351,
"Name": "Education Services Inc",
"Department": "Academic Programs",
"OrgNr": "852456789",
"Number1": "10010",
"Number2": "20010",
"UpdatedDate": "2008-11-26T10:10:59.5063204+01:00",
"CreatedDate": "2017-03-25T10:10:59.5063204+01:00",
"Emails": [
{
"Value": "info@educationservices.edu",
"StrippedValue": "info@educationservices.edu",
"Description": "General inquiries",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 991
}
}
},
{
"Value": "aut",
"StrippedValue": "error",
"Description": "Enhanced grid-enabled throughput",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 991
}
}
}
],
"Interests": [
{
"Id": 269,
"Name": "Higher Education Network",
"ToolTip": "Professional network for educational institutions",
"Deleted": false,
"Rank": 771,
"Type": "ipsam",
"ColorBlock": 639,
"IconHint": "autem",
"Selected": false,
"LastChanged": "2001-06-21T10:10:59.5063204+02:00",
"ChildItems": [
{},
{}
],
"ExtraInfo": "laudantium",
"StyleHint": "est",
"Hidden": false,
"FullName": "Marcos Kris",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 539
}
}
}
],
"Urls": [
{
"Value": "eveniet",
"StrippedValue": "sunt",
"Description": "User-centric mobile monitoring",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 69
}
}
},
{
"Value": "eveniet",
"StrippedValue": "sunt",
"Description": "User-centric mobile monitoring",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 69
}
}
}
],
"Phones": [
{
"Value": "nulla",
"StrippedValue": "qui",
"Description": "Customer-focused user-facing capability",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 961
}
}
},
{
"Value": "nulla",
"StrippedValue": "qui",
"Description": "Customer-focused user-facing capability",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 961
}
}
}
],
"Faxes": [
{
"Value": "asperiores",
"StrippedValue": "assumenda",
"Description": "Cloned local superstructure",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 52
}
}
},
{
"Value": "asperiores",
"StrippedValue": "assumenda",
"Description": "Cloned local superstructure",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 52
}
}
}
],
"Description": "Customizable encompassing local area network",
"UpdatedBy": null,
"CreatedBy": null,
"Associate": null,
"Business": null,
"Category": null,
"Country": null,
"Persons": [
{
"Position": "sunt",
"PersonId": 700,
"Mrmrs": "molestiae",
"Firstname": "Bernard",
"Lastname": "Kozey",
"MiddleName": "Franecki-Bradtke",
"Title": "aut",
"Description": "Visionary client-server adapter",
"Email": "charles@greenfelder.name",
"FullName": "Iliana Quitzon Jr.",
"DirectPhone": "384.285.8720 x205",
"FormalName": "Tromp LLC",
"CountryId": 80,
"ContactId": 357,
"ContactName": "Ullrich, Quitzon and Jaskolski",
"Retired": 414,
"Rank": 476,
"ActiveInterests": 459,
"ContactDepartment": "",
"ContactCountryId": 966,
"ContactOrgNr": "1105301",
"FaxPhone": "322.638.6652",
"MobilePhone": "712-323-3361 x027",
"ContactPhone": "(043)695-9097 x0442",
"AssociateName": "Friesen Group",
"AssociateId": 110,
"UsePersonAddress": false,
"ContactFax": "adipisci",
"Kanafname": "illo",
"Kanalname": "voluptatem",
"Post1": "vel",
"Post2": "saepe",
"Post3": "ut",
"EmailName": "emilie_emmerich@nader.co.uk",
"ContactFullName": "Keven Pouros",
"ActiveErpLinks": 444,
"TicketPriorityId": 388,
"SupportLanguageId": 17,
"SupportAssociateId": 798,
"CategoryName": "VIP Customer",
"PersonNumber": "858983",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 124
}
}
}
],
"NoMailing": false,
"Kananame": "inventore",
"Xstop": false,
"ActiveInterests": 672,
"GroupId": 914,
"ActiveStatusMonitorId": 859,
"SupportAssociate": null,
"TicketPriority": null,
"CustomerLanguage": null,
"Deleted": 725,
"DbiAgentId": 486,
"DbiLastSyncronized": "2013-08-08T10:10:59.5063204+02:00",
"DbiKey": "possimus",
"DbiLastModified": "2003-01-30T10:10:59.5063204+01:00",
"SupportPerson": null,
"Address": null,
"Source": 855,
"ActiveErpLinks": 725,
"BounceEmails": [
"lily_swift@schowalterlueilwitz.uk",
"gretchen_yundt@steuber.com"
],
"Domains": [
"eius",
"sequi"
],
"InitialUtmParameters": null,
"UserDefinedFields": {
"SuperOffice:1": "Dr. Rosalyn Heathcote",
"SuperOffice:2": "Miss Evert Cullen Beer III"
},
"ExtraFields": {
"ExtraFields1": "at",
"ExtraFields2": "accusamus"
},
"CustomFields": {
"CustomFields1": "illo",
"CustomFields2": "recusandae"
},
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 736
}
}
}